Update Execution Run
curl --request PATCH \
--url https://agent.crowdlisten.com/api/sweeps/executions/{execution_id} \
--header 'Content-Type: application/json' \
--data '
{
"step_results": [
{
"step": "<string>",
"result": "<string>"
}
],
"outcome_summary": "<string>",
"metrics": {},
"training_scopes": []
}
'import requests
url = "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}"
payload = {
"step_results": [
{
"step": "<string>",
"result": "<string>"
}
],
"outcome_summary": "<string>",
"metrics": {},
"training_scopes": []
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
step_results: [{step: '<string>', result: '<string>'}],
outcome_summary: '<string>',
metrics: {},
training_scopes: []
})
};
fetch('https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'step_results' => [
[
'step' => '<string>',
'result' => '<string>'
]
],
'outcome_summary' => '<string>',
'metrics' => [
],
'training_scopes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}"
payload := strings.NewReader("{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}")
.header("Content-Type", "application/json")
.body("{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}action-executions
Update Execution Run
Persist a host-agent outcome; owners alone approve portable training use.
PATCH
/
api
/
sweeps
/
executions
/
{execution_id}
Update Execution Run
curl --request PATCH \
--url https://agent.crowdlisten.com/api/sweeps/executions/{execution_id} \
--header 'Content-Type: application/json' \
--data '
{
"step_results": [
{
"step": "<string>",
"result": "<string>"
}
],
"outcome_summary": "<string>",
"metrics": {},
"training_scopes": []
}
'import requests
url = "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}"
payload = {
"step_results": [
{
"step": "<string>",
"result": "<string>"
}
],
"outcome_summary": "<string>",
"metrics": {},
"training_scopes": []
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
step_results: [{step: '<string>', result: '<string>'}],
outcome_summary: '<string>',
metrics: {},
training_scopes: []
})
};
fetch('https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'step_results' => [
[
'step' => '<string>',
'result' => '<string>'
]
],
'outcome_summary' => '<string>',
'metrics' => [
],
'training_scopes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}"
payload := strings.NewReader("{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}")
.header("Content-Type", "application/json")
.body("{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/sweeps/executions/{execution_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"step_results\": [\n {\n \"step\": \"<string>\",\n \"result\": \"<string>\"\n }\n ],\n \"outcome_summary\": \"<string>\",\n \"metrics\": {},\n \"training_scopes\": []\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Available options:
approved, running, completed, failed, cancelled Maximum array length:
20Show child attributes
Show child attributes
Required string length:
3 - 8000Available options:
pending, approved, rejected Maximum array length:
3Available options:
internal_harness, external_harness, fine_tuning Response
Successful Response